Subject: bug#67269: 30.0.50; italic face fallback does not assume italic properties

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Nov 2023 10:18:11 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 19 Nov 2023 15:05:24 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Basically, choosing a default font that doesn't have the italic
> > variant is simply a bad idea, so what you describe is a cockpit error,
> > not an Emacs bug.
> 
> OK, but half the fixed pitch fonts on the face of this earth have no
> Italic variant.  Noto Sans Mono, for example, is the default fixed pitch
> font on countless free systems, and there is no Italic variant of it.

Yes, choosing the default font for Emacs is not a trivial task.  Bold
and Italic are just one aspect of that; the other is support for
enough non-ASCII characters to avoid changing fonts too frequently in
multilingual text.  Which is why Emacs comes with hard-coded defaults
for the standard fonts.  People who customize their fontsets should
understand the issues and choose the default font wisely.

> What about modifying eww and such to use a different face from
> italic that always sets the :slant property?

Please show a patch, to make sure we are talking about the same thing.